Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.rewrite
Class RewriteRegexRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.RegexRule
              org.mortbay.jetty.handler.rewrite.RewriteRegexRule

    public class RewriteRegexRule

extends RegexRule

Rewrite the URI by matching with a regular expression. The replacement string may use $n" to replace the nth capture group.

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.RegexRule
`_regex`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`RewriteRegexRule()`

Method Summary
`java.lang.String` | `apply(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.regex.Matcher matcher)` Apply this rule to the request/response pair.
`void` | `setReplacement(java.lang.String replacement)` Whenever a match is found, it replaces with this value.
`java.lang.String` | `toString()` Returns the replacement string.

Methods inherited from class org.mortbay.jetty.handler.rewrite.RegexRule
`getRegex, matchAndApply, setRegex`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RewriteRegexRule

    public RewriteRegexRule()

Method Detail

### setReplacement

    public void setReplacement(java.lang.String replacement)

  Whenever a match is found, it replaces with this value.

  Parameters:
    `replacement` - the replacement string.

### apply

    public java.lang.String apply(java.lang.String target,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  java.util.regex.Matcher matcher)
                           throws java.io.IOException

  Description copied from class: `RegexRule`
  Apply this rule to the request/response pair. Called by `RegexRule.matchAndApply(String, HttpServletRequest, HttpServletResponse)` if the regex matches.

  Specified by:
    `apply` in class `RegexRule`
  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
    `matcher` - The Regex matcher that matched the request (with capture groups available for replacement).
  Returns:
    The target (possible updated).
  Throws:
    `java.io.IOException` - exceptions dealing with operating on request or response objects

### toString

    public java.lang.String toString()

  Returns the replacement string.

  Overrides:
    `toString` in class `RegexRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.